/**
 * Adobe Edge: symbol definitions
 */
(function($, Edge, compId){
//images folder
var im='images/';

var fonts = {};
   fonts['antic, sans-serif']='<script src=\"http://use.edgefonts.net/antic:n4:all.js\"></script>';
   fonts['baumans, sans-serif']='<script src=\"http://use.edgefonts.net/baumans:n4:all.js\"></script>';


var resources = [
];
var symbols = {
"stage": {
   version: "2.0.1",
   minimumCompatibleVersion: "2.0.0",
   build: "2.0.1.268",
   baseState: "Base State",
   initialState: "Base State",
   gpuAccelerate: false,
   resizeInstances: false,
   content: {
         dom: [
         {
            id:'sakura_back',
            type:'image',
            rect:['0px','0px','600px','400px','auto','auto'],
            fill:["rgba(0,0,0,0)",im+"sakura_back.png",'0%','0%','100%','auto']
         },
         {
            id:'RoundRectCopy',
            type:'rect',
            rect:['0px','20px','290px','75px','auto','auto'],
            borderRadius:["0px 0px","0px 0px","0px 0px","0px 0px"],
            opacity:0.7,
            fill:["rgba(0,0,0,1.00)"],
            stroke:[13,"rgba(110,110,110,1.00)","none"]
         },
         {
            id:'Text3',
            type:'text',
            rect:['25px','25px','240px','65px','auto','auto'],
            text:"CHERRY BLOSSOM<br>FESTIVAL 2014",
            align:"left",
            font:['baumans, sans-serif',28,"rgba(228,164,178,1.00)","700","none","normal"]
         },
         {
            id:'joinUs_mat',
            type:'rect',
            rect:['0px','310px','600px','auto','auto','auto']
         },
         {
            id:'Text4',
            type:'text',
            rect:['82px','28.5%','435px','132px','auto','auto'],
            text:"Central Tokyo Tour<br>with<br>Cherry Blossoms",
            align:"center",
            font:['antic, sans-serif',36,"rgba(255,255,255,1)","normal","underline","normal"],
            filter:[0,0,1,1,0,0,0,0,"rgba(0,0,0,1.00)",2,2,0]
         }],
         symbolInstances: [
         {
            id:'joinUs_mat',
            symbolName:'joinUs_mat'
         }
         ]
      },
   states: {
      "Base State": {
         "${_Text3}": [
            ["style", "line-height", 'normal'],
            ["color", "color", 'rgba(228,164,178,1.00)'],
            ["style", "font-weight", '700'],
            ["style", "left", '25px'],
            ["style", "width", '240px'],
            ["style", "top", '25px'],
            ["style", "height", '65px'],
            ["style", "font-family", 'baumans, sans-serif'],
            ["style", "font-size", '28px']
         ],
         "${_RoundRectCopy}": [
            ["color", "background-color", 'rgba(0,0,0,1.00)'],
            ["style", "border-top-left-radius", [0,0], {valueTemplate:'@@0@@px @@1@@px'} ],
            ["style", "border-bottom-right-radius", [0,0], {valueTemplate:'@@0@@px @@1@@px'} ],
            ["style", "border-style", 'none'],
            ["style", "border-width", '13px'],
            ["style", "width", '290px'],
            ["style", "top", '20px'],
            ["style", "border-bottom-left-radius", [0,0], {valueTemplate:'@@0@@px @@1@@px'} ],
            ["style", "left", '0px'],
            ["style", "height", '75px'],
            ["color", "border-color", 'rgba(110,110,110,1.00)'],
            ["style", "border-top-right-radius", [0,0], {valueTemplate:'@@0@@px @@1@@px'} ],
            ["style", "opacity", '0.7']
         ],
         "${_joinUs_mat}": [
            ["style", "top", '400px'],
            ["style", "opacity", '0'],
            ["style", "width", '600px']
         ],
         "${_Stage}": [
            ["color", "background-color", 'rgba(255,255,255,1)'],
            ["style", "min-width", '0px'],
            ["style", "overflow", 'hidden'],
            ["style", "height", '400px'],
            ["style", "max-width", 'none'],
            ["style", "width", '600px']
         ],
         "${_Text4}": [
            ["subproperty", "filter.drop-shadow.color", 'rgba(0,0,0,1.00)'],
            ["style", "bottom", 'auto'],
            ["style", "right", 'auto'],
            ["style", "left", '82px'],
            ["style", "font-size", '36px'],
            ["style", "top", '28.5%'],
            ["style", "width", '435px'],
            ["subproperty", "filter.drop-shadow.blur", '0px'],
            ["subproperty", "filter.drop-shadow.offsetV", '2px'],
            ["style", "height", '132px'],
            ["style", "font-family", 'antic, sans-serif'],
            ["style", "text-decoration", 'underline'],
            ["subproperty", "filter.drop-shadow.offsetH", '2px']
         ],
         "${_sakura_back}": [
            ["style", "top", '0px'],
            ["style", "background-size", [100,'auto'], {valueTemplate:'@@0@@% @@1@@'} ],
            ["style", "left", '0px']
         ]
      }
   },
   timelines: {
      "Default Timeline": {
         fromState: "Base State",
         toState: "",
         duration: 1000,
         autoPlay: true,
         timeline: [
            { id: "eid8", tween: [ "style", "${_joinUs_mat}", "top", '310px', { fromValue: '400px'}], position: 0, duration: 1000, easing: "easeOutCubic" },
            { id: "eid45", tween: [ "style", "${_joinUs_mat}", "opacity", '1', { fromValue: '0'}], position: 0, duration: 1000, easing: "easeOutQuart" }         ]
      }
   }
},
"joinUs_mat": {
   version: "2.0.1",
   minimumCompatibleVersion: "2.0.0",
   build: "2.0.1.268",
   baseState: "Base State",
   initialState: "Base State",
   gpuAccelerate: false,
   resizeInstances: false,
   content: {
   dom: [
   {
      rect: ['0px','0px','600px','90px','auto','auto'],
      borderRadius: ['0px 0px','0px 0px','0px 0px','0px 0px'],
      stroke: [13,'rgba(110,110,110,1.00)','none'],
      id: 'RoundRect',
      opacity: 0.7,
      type: 'rect',
      fill: ['rgba(0,0,0,1.00)']
   },
   {
      rect: ['189px','18px','222px','53px','auto','auto'],
      font: ['antic, sans-serif',24,'rgba(255,255,255,1.00)','normal','none',''],
      id: 'Text',
      text: 'JOIN US<br>REGISTRATION',
      align: 'center',
      type: 'text'
   }],
   symbolInstances: [
   ]
   },
   states: {
      "Base State": {
         "${_RoundRect}": [
            ["color", "background-color", 'rgba(0,0,0,1.00)'],
            ["style", "border-top-left-radius", [0,0], {valueTemplate:'@@0@@px @@1@@px'} ],
            ["style", "border-bottom-right-radius", [0,0], {valueTemplate:'@@0@@px @@1@@px'} ],
            ["style", "border-style", 'none'],
            ["style", "border-width", '13px'],
            ["style", "width", '600px'],
            ["style", "top", '0px'],
            ["style", "border-bottom-left-radius", [0,0], {valueTemplate:'@@0@@px @@1@@px'} ],
            ["style", "left", '0px'],
            ["style", "height", '90px'],
            ["color", "border-color", 'rgba(110,110,110,1.00)'],
            ["style", "border-top-right-radius", [0,0], {valueTemplate:'@@0@@px @@1@@px'} ],
            ["style", "opacity", '0.7']
         ],
         "${_Text}": [
            ["style", "top", '18px'],
            ["style", "line-height", '24px'],
            ["style", "text-align", 'center'],
            ["style", "height", '53px'],
            ["color", "color", 'rgba(255,255,255,1.00)'],
            ["style", "font-family", 'antic, sans-serif'],
            ["style", "left", '189px'],
            ["style", "width", '222px']
         ],
         "${symbolSelector}": [
            ["style", "height", '90px'],
            ["style", "width", '600px']
         ]
      }
   },
   timelines: {
      "Default Timeline": {
         fromState: "Base State",
         toState: "",
         duration: 0,
         autoPlay: true,
         timeline: [
         ]
      }
   }
},
"sakura": {
   version: "2.0.1",
   minimumCompatibleVersion: "2.0.0",
   build: "2.0.1.268",
   baseState: "Base State",
   initialState: "Base State",
   gpuAccelerate: false,
   resizeInstances: false,
   content: {
   dom: [
   {
      id: 'sakura3',
      type: 'image',
      rect: ['0px','0px','98px','92px','auto','auto'],
      fill: ['rgba(0,0,0,0)','images/sakura.png','0px','0px']
   }],
   symbolInstances: [
   ]
   },
   states: {
      "Base State": {
         "${_sakura3}": [
            ["style", "top", '0px'],
            ["style", "left", '0px'],
            ["transform", "rotateZ", '0deg']
         ],
         "${symbolSelector}": [
            ["style", "height", '92px'],
            ["style", "width", '98px']
         ]
      }
   },
   timelines: {
      "Default Timeline": {
         fromState: "Base State",
         toState: "",
         duration: 3000,
         autoPlay: true,
         timeline: [
            { id: "eid22", tween: [ "transform", "${_sakura3}", "rotateZ", '2160deg', { fromValue: '0deg'}], position: 0, duration: 3000, easing: "easeOutQuart" }         ]
      }
   }
}
};


Edge.registerCompositionDefn(compId, symbols, fonts, resources);

/**
 * Adobe Edge DOM Ready Event Handler
 */
$(window).ready(function() {
     Edge.launchComposition(compId);
});
})(jQuery, AdobeEdge, "EDGE-12606034");
